Subject: Re: [PATCH RFC net 1/2] MAINTAINERS: consistently exclude wireless files from NETWORKING [GENERAL]

From: Simon Horman <[email-masked]>
Date: Wed, 9 Oct 2024 09:43:56 +0100

On Mon, Oct 07, 2024 at 08:03:22PM +0200, Johannes Berg wrote:
> On Mon, 2024-10-07 at 20:41 +0300, Kalle Valo wrote:
> > Simon Horman <[email-masked]> writes:
> > 
> > > On Fri, Oct 04, 2024 at 06:27:38PM +0300, Kalle Valo wrote:
> > > 
> > > > Simon Horman <[email-masked]> writes:
> > > > 
> > > > > We already exclude wireless drivers from the netdev@ traffic, to
> > > > > delegate it to linux-wireless@, and avoid overwhelming netdev@.
> > > > > 
> > > > > Many of the following wireless-related sections MAINTAINERS
> > > > > are already not included in the NETWORKING [GENERAL] section.
> > > > > For consistency, exclude those that are.
> > > > > 
> > > > > * 802.11 (including CFG80211/NL80211)
> > > > > * MAC80211
> > > > > * RFKILL
> > > > > 
> > > > > Signed-off-by: Simon Horman <[email-masked]>
> > > > > ---
> > > > >  MAINTAINERS | 11 +++++++++++
> > > > >  1 file changed, 11 insertions(+)
> > > > > 
> > > > > diff --git a/MAINTAINERS b/MAINTAINERS
> > > > > index c27f3190737f..ea3ea2c0d3fa 100644
> > > > > --- a/MAINTAINERS
> > > > > +++ b/MAINTAINERS
> > > > > @@ -16197,8 +16197,19 @@ F:	lib/random32.c
> > > > >  F:	net/
> > > > >  F:	tools/net/
> > > > >  F:	tools/testing/selftests/net/
> > > > > +X:	Documentation/networking/mac80211-injection.rst
> > > > > +X:	Documentation/networking/mac80211_hwsim/
> > > > > +X:	Documentation/networking/regulatory.rst
> > > > > +X:	include/net/cfg80211.h
> > > > > +X:	include/net/ieee80211_radiotap.h
> > > > > +X:	include/net/iw_handler.h
> > > > > +X:	include/net/mac80211.h
> > > > > +X:	include/net/wext.h
> > > > 
> > > > Should we add also lib80211.h?
> > > 
> > > Thanks, I missed that one. Perhaps it should have:
> > > 
> > > * An F: entry in the MAC80211
> > > * An X: entry in the NETWORKING [GENERAL]
> > > 
> > > If so, perhaps I can just add that to a v2 of this patch.
> > > Let me know what you think.
> > 
> > Like Johannes said, the cfg80211 entry is more approriate but otherwise
> > sounds like a good plan, thanks!
> 
> Actually scratch that, please just ignore it. I'm going to remove that
> header file entirely and move the functionality into libipw in the
> ipw2x00 drivers.

Thanks,

In that case I'll post a v2 without any code changes.
Rather, bumping it to non-RFC and accumulating tags.